Page MenuHomePhabricator

Review real-world query plans and performance for Jade
Open, LowPublic

Description

The JOINs between Jade tables and MediaWiki recentchanges should be reviewed as we accumulate real data in the tables. There's some potential for bad optimization and full scans, and certain filter conditions will be very sparse.

Do this task once we hit something like 1M rows.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
InvalidNone
InvalidNone
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
ResolvedHalfak
ResolvedNone
InvalidNone
ResolvedHalfak
Resolvedawight
ResolvedHarej
DuplicateNone
OpenNone
Resolvedawight
Resolvedawight
DeclinedNone
ResolvedReedy
ResolvedLadsgroup
ResolvedLadsgroup
Resolvedmmodell
ResolvedNone
ResolvedNone
Resolvedhashar
ResolvedNone
Resolvedawight
DeclinedNone
DuplicateNone
DeclinedNone
DeclinedNone
DeclinedNone
DuplicateNone
DuplicateNone
DuplicateHarej
InvalidNone
DuplicateHalfak
DuplicateNone
InvalidNone
InvalidNone
OpenNone
Open ACraze
OpenNone
Resolved ACraze
DeclinedNone
Duplicate ACraze
ResolvedHalfak
ResolvedHalfak
Resolved ACraze
Resolved ACraze
OpenNone
ResolvedHalfak
OpenNone
Open ACraze
Resolvedkevinbazira
Resolved ACraze
OpenNone
Open ACraze
ResolvedNone
ResolvedHalfak
DuplicateHalfak
Resolvedkevinbazira
Resolved ACraze
Resolved ACraze
Resolved ACraze
OpenNone
OpenNone
Open ACraze
Openkevinbazira
OpenHalfak
Resolved ACraze
Resolved ACraze
OpenNone
Resolvedkevinbazira
ResolvedHalfak
DuplicateHalfak
Resolvedkevinbazira
Resolvedkevinbazira

Event Timeline

awight created this task.Dec 20 2018, 5:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 20 2018, 5:52 PM
Marostegui triaged this task as Medium priority.Dec 20 2018, 6:19 PM
Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.
awight updated the task description. (Show Details)Dec 20 2018, 7:25 PM
Halfak lowered the priority of this task from Medium to Low.Feb 19 2019, 10:43 PM
Halfak moved this task from Untriaged to Research & analysis on the Machine Learning Platform board.
awight removed a subscriber: awight.Mar 21 2019, 4:05 PM